﻿using System;
using System.Windows.Forms;
using System.Xml;
using System.IO;
using System.Security.Cryptography.X509Certificates;
using System.Collections.Generic;
using System.Threading;
using System.Drawing;
using System.Drawing.Printing;
using QRCoder;
using System.Drawing.Drawing2D;
using NFeLib.Danfes;
using System.Text.RegularExpressions;
using System.Linq;
using System.Net;
using System.Net.Security;
using System.Web.Services.Protocols;
using NFeLib.NFE.Processos;
using NFeLib.NFE.WebServices;
using NFeLib.NFE.Utils;
using NFeLib.Utils;
using NFeLib.NFE.BaseNF.Servicos.Status;
using NFeLib.NFE.BaseNF.Servicos.ConsSitNFe;
using NFeLib.NFE.BaseNF.Servicos.Inutilizacao;
using NFeLib.NFE.BaseNF.Servicos.RecepcaoEvento;
using NFeLib.NFE.BaseNF.Servicos.DistribuicaoDFe;
using NFeLib.NFE.BaseNF.Servicos.ConsultaCadastro;
using NFeLib.NFE.BaseNF.Servicos.Autorizacao;

namespace NFeLib
{
    public partial class FrmTestesNFe : Form 
    {
        private FrmProcess _frmProc = new FrmProcess();
        private string _tipoAmbiente = "2";

        public FrmTestesNFe()
        {
            InitializeComponent();
        }

        private void TesteDanfe_Load(System.Object sender, System.EventArgs e)
        {

            cmbCertificado.DataSource = CertificadoDigital.ListaCertificado();
            cmbCertificado.SelectedIndex = 0;

            cmbUF.DataSource = Enum.GetNames(typeof(Estado)).OrderBy(x => x).ToList();
            cmbUF.SelectedIndex = 0;
            
        }

        private void btnConsultaStatusWS_Click(object sender, EventArgs e)
        {
            X509Certificate2 certDig = cmbCertificado.SelectedItem as X509Certificate2;
            ConfigWsUrls configWsUrls = ConfigWsUrls.ConfigServico("1", cmbUF.Text, _tipoAmbiente,"55", TipoServico.NfeStatusServico);

            NFeStatusServico nfeStatusServico = new NFeStatusServico();
            nfeStatusServico.CertificadoDigital = certDig;
            nfeStatusServico.ConfigServico = configWsUrls;

            nfeStatusServico.EnviarSefaz();
            retConsStatServ retSefaz = nfeStatusServico.RetornoSefaz;
        }

        private void btnConsProtNFe_Click(object sender, EventArgs e)
        {
            string chaveNFe = "33180809437886000100550010001461291111002083";

            X509Certificate2 certDig = cmbCertificado.SelectedItem as X509Certificate2;
            ConfigWsUrls configWsUrls = ConfigWsUrls.ConfigServico("1", "RJ", "1", "55", TipoServico.NfeConsultaProtocolo);

            NFeConsultaProtocolo nfeConsultaProtocolo = new NFeConsultaProtocolo(chaveNFe);
            nfeConsultaProtocolo.CertificadoDigital = certDig;
            nfeConsultaProtocolo.ConfigServico = configWsUrls;

            _frmProc = new FrmProcess();
            _frmProc.lblTituloFrm.Text = "Processo Envio Sefaz";
            _frmProc.Shown += (args, events) =>
            {
                _frmProc.Refresh();
                nfeConsultaProtocolo.EnviarSefaz();
                retConsSitNFe retSefaz = nfeConsultaProtocolo.RetornoSefaz;
                _frmProc.btnSair.Enabled = true;
                _frmProc.lblTituloFrm.Image = null;
                //Retorno Status 100 - NFe Autorizada
                if (retSefaz.cStat != 100)
                {
                    _frmProc.listBoxMsg.Items.Add("Status.....: " + retSefaz.cStat);
                    _frmProc.listBoxMsg.Items.Add("Motivo.....: " + retSefaz.xMotivo);
                }
                else
                {
                    _frmProc.listBoxMsg.Items.Add("Status NFe......: " + retSefaz.protNFe.infProt.cStat);
                    _frmProc.listBoxMsg.Items.Add("Motivo..........: " + retSefaz.protNFe.infProt.xMotivo);
                    _frmProc.listBoxMsg.Items.Add("Versão..........: " + retSefaz.versao);
                    _frmProc.listBoxMsg.Items.Add("Tipo Ambiente...: " + retSefaz.protNFe.infProt.tpAmb);
                    _frmProc.listBoxMsg.Items.Add("Versão Aplicação: " + retSefaz.protNFe.infProt.verAplic);
                    _frmProc.listBoxMsg.Items.Add("Chave NFe.......: " + retSefaz.protNFe.infProt.chNFe);
                    _frmProc.listBoxMsg.Items.Add("Data Recebimento: " + retSefaz.protNFe.infProt.dhRecbto);
                    _frmProc.listBoxMsg.Items.Add("Número Protocolo: " + retSefaz.protNFe.infProt.nProt);
                    _frmProc.listBoxMsg.Items.Add("Digito Validador: " + retSefaz.protNFe.infProt.digVal);
                }
            };
            _frmProc.ShowDialog();

        }

        private void btnInutilizacaoNFe_Click(object sender, EventArgs e)
        {
            X509Certificate2 certDig = cmbCertificado.SelectedItem as X509Certificate2;
            ConfigWsUrls configWsUrls = ConfigWsUrls.ConfigServico("1", cmbUF.Text, _tipoAmbiente, "55", TipoServico.NfeInutilizacao);

            XmlDocument xmlAssinado = new XmlDocument();
            NFeInutilizacao nfeInutilizacao = new NFeInutilizacao(xmlAssinado);
            nfeInutilizacao.CertificadoDigital = certDig;
            nfeInutilizacao.ConfigServico = configWsUrls;

            nfeInutilizacao.EnviarSefaz();
            retInutNFe retSefaz = nfeInutilizacao.RetornoSefaz;
        }

        private void btnEventoCancNFe_Click(object sender, EventArgs e)
        {
            X509Certificate2 certDig = cmbCertificado.SelectedItem as X509Certificate2;
            ConfigWsUrls configWsUrls = ConfigWsUrls.ConfigServico("1", cmbUF.Text, _tipoAmbiente, "55", TipoServico.RecepcaoEvento);

            XmlDocument xmlAssinado = new XmlDocument();
            xmlAssinado.Load(@"C:\Users\Elucimar\Desktop\evento.xml");
            NFeRecepcaoEvento nfeRecepcaoEvento = new NFeRecepcaoEvento(xmlAssinado);
            nfeRecepcaoEvento.CertificadoDigital = certDig;
            nfeRecepcaoEvento.ConfigServico = configWsUrls;

            nfeRecepcaoEvento.EnviarSefaz();
            retEnvEvento retSefaz = nfeRecepcaoEvento.RetornoSefaz;

        }

        private void btnNFeDistrDFe_Click(object sender, EventArgs e)
        {
            string ultimoNSU = "1";
            string cnpjEmpresa = "37398344000100";
            string codUFEmpresa = "52";

            X509Certificate2 certDig = cmbCertificado.SelectedItem as X509Certificate2;
            ConfigWsUrls configWsUrls = ConfigWsUrls.ConfigServico("1", "AN", _tipoAmbiente, "55", TipoServico.NFeDistribuicaoDFe);
            NFeDistribuicaoDFe nfeDistribuicaoDFe = new NFeDistribuicaoDFe(ultimoNSU, cnpjEmpresa, codUFEmpresa);
            nfeDistribuicaoDFe.CertificadoDigital = certDig;
            nfeDistribuicaoDFe.ConfigServico = configWsUrls;
            nfeDistribuicaoDFe.EnviarSefaz();

            List<resConsDest> lstRet = nfeDistribuicaoDFe.RetornoSefaz;
            
        }

        private void ImprimirDanfe_Click(object sender, EventArgs e)
        {
            object objectNFe = new object();
            Danfe danfe;

            OpenFileDialog fileDialog = new OpenFileDialog();
            fileDialog.Filter = "Arquivo XML|*.xml;*.xml";
            fileDialog.InitialDirectory = Environment.CurrentDirectory + "\\Xml";
            fileDialog.ShowDialog();

            if (File.Exists(fileDialog.FileName) == true)
            {
                if (FunctionNFe.ValidarXmlNFe(fileDialog.FileName))
                {
                    XmlDocument xmlDoc = new XmlDocument();
                    xmlDoc.Load(fileDialog.FileName);

                    string msgSoftWareHouse = "VBM - Software House - NFe Versão 4.00";
                    if (object.ReferenceEquals(sender, btnDanfeRetrato))
                    {
                        danfe = new Danfe(TypeRpt.Retrato, xmlDoc.OuterXml, msgSoftWareHouse);
                        danfe.PrintPreview(true);
                    }
                    else
                    {
                        danfe = new Danfe(TypeRpt.Paisagem, xmlDoc.OuterXml, msgSoftWareHouse);
                        danfe.PrintPreview(true);
                    }
                }
            }
        }

        private void btnConsCad_Click(object sender, EventArgs e)
        {
            ConfigWsUrls configWsUrls = ConfigWsUrls.ConfigServico("1", cmbUF.Text, _tipoAmbiente, "55", TipoServico.NfeConsultaCadastro);
            X509Certificate2 certDig = cmbCertificado.SelectedItem as X509Certificate2;

            NFeConsultaCadastro nfeConsultaCadastro = new NFeConsultaCadastro(cmbUF.Text, "07886006000157", TypeDoc.CNPJ);
            nfeConsultaCadastro.CertificadoDigital = certDig;
            nfeConsultaCadastro.ConfigServico = configWsUrls;

            nfeConsultaCadastro.EnviarSefaz();
            retConsCad retSefaz = nfeConsultaCadastro.RetornoSefaz;
        }

        private void btnEventoManfDest_Click(object sender, EventArgs e)
        {

            ConfigWsUrls configWsUrls = ConfigWsUrls.ConfigServico("1", "AN", _tipoAmbiente, "55", TipoServico.RecepcaoEvento);
            X509Certificate2 certDig = cmbCertificado.SelectedItem as X509Certificate2;

            XmlDocument xmlAssinado = new XmlDocument(); // Seu Xml com o Evento Assinado
            NFeRecepcaoEvento nfeRecepcaoEvento = new NFeRecepcaoEvento(xmlAssinado);
            nfeRecepcaoEvento.CertificadoDigital = certDig;
            nfeRecepcaoEvento.ConfigServico = configWsUrls;

            nfeRecepcaoEvento.EnviarSefaz();
            retEnvEvento retSefaz = nfeRecepcaoEvento.RetornoSefaz;

        }

        private void btnEnvNFeProcSincr_Click(object sender, EventArgs e)
        {
            X509Certificate2 certDig = cmbCertificado.SelectedItem as X509Certificate2;

            OpenFileDialog fileDialog = new OpenFileDialog();
            fileDialog.Filter = "Arquivo XML|*.xml;*.xml";
            fileDialog.InitialDirectory = Environment.CurrentDirectory + "\\Xml";
            fileDialog.ShowDialog();
            string strPath = fileDialog.FileName;

            if (File.Exists(strPath) == true)
            {

                XmlDocument xmlAssinado = new XmlDocument();
                xmlAssinado.Load(strPath);

                ConfigWsUrls configWsUrls = ConfigWsUrls.ConfigServico("1", cmbUF.Text, _tipoAmbiente, "55", TipoServico.NFeAutorizacao);
                ProcEnvNFe procEnvio = ProcEnvNFe.Sincrono;
                
                //Estados do Amazonas(AM) e Pernambuco(PE) 
                //retonam no Processo Sincrono a Respota - Classe retConsReciNFe
                //Demais Autorizadores retornam - Classe retEnviNFe

                NFeAutorizacao nfeAutorizacao = new NFeAutorizacao();
                nfeAutorizacao.XmlDocAssinado = xmlAssinado;
                nfeAutorizacao.CertificadoDigital = certDig;
                nfeAutorizacao.ConfigServico = configWsUrls;

                _frmProc = new FrmProcess();
                _frmProc.lblTituloFrm.Text = "Processo Envio Sefaz";
                _frmProc.Shown += (args, events) =>
                {
                    _frmProc.listBoxMsg.Items.Add("Enviando Lote Sefaz...");
                    _frmProc.Refresh();

                    nfeAutorizacao.EnviarSefaz();
                    if (nfeAutorizacao.RetornoSefaz != null)
                    {
                        retEnviNFe retEnvio = nfeAutorizacao.RetornoSefaz;
                        if (retEnvio.protNFe.infProt != null)
                        {
                            _frmProc.listBoxMsg.Items.Add("Versão Aplicação...: " + retEnvio.verAplic);
                            _frmProc.listBoxMsg.Items.Add("Chave..............: " + retEnvio.protNFe.infProt.chNFe);
                            _frmProc.listBoxMsg.Items.Add("Num Protocolo......: " + retEnvio.protNFe.infProt.nProt);
                            _frmProc.listBoxMsg.Items.Add("Status.............: " + retEnvio.protNFe.infProt.cStat);
                            _frmProc.listBoxMsg.Items.Add("Motivo.............: " + retEnvio.protNFe.infProt.xMotivo);
                            _frmProc.listBoxMsg.Items.Add(new String('═', 100));
                        }
                        else
                        {
                            _frmProc.listBoxMsg.Items.Add("Versão Aplicação...: " + retEnvio.verAplic);
                            _frmProc.listBoxMsg.Items.Add("Status.............: " + retEnvio.cStat);
                            _frmProc.listBoxMsg.Items.Add("Motivo.............: " + retEnvio.xMotivo);
                        }
                        _frmProc.Refresh();
                    }
                    else
                    {
                        _frmProc.listBoxMsg.Items.Add(nfeAutorizacao.GetErros);
                    }
                    _frmProc.btnSair.Enabled = true;
                    _frmProc.lblTituloFrm.Image = null;
                };
                _frmProc.ShowDialog();
            }


        }

        private bool TratarRetornosSefaz(NFeAutorizacao nfeAutorizacao, out string erros, out int status, out string xMotivo)
        {
            List<int> lstStatusRetSefaz = new List<int> { 100, 104 };
            List<int> lstStatusNFeDenegada = new List<int>() { 110, 205, 301, 302 };

            if (nfeAutorizacao.GetErros.Length > 0)
            {
                erros = nfeAutorizacao.GetErros;
                status = 0;
                xMotivo = string.Empty;
                return false;
            }

            if (!lstStatusRetSefaz.Contains(nfeAutorizacao.RetornoSefaz.cStat))
            {
                erros = "Status:" + nfeAutorizacao.RetornoSefaz.cStat.ToString() + " - " +
                            nfeAutorizacao.RetornoSefaz.xMotivo;
                status = nfeAutorizacao.RetornoSefaz.cStat;
                xMotivo = nfeAutorizacao.RetornoSefaz.xMotivo;
                return false;
            }

            int statusNfce = nfeAutorizacao.RetornoSefaz?.protNFe?.infProt?.cStat ?? 0;
            if (statusNfce > 0 && statusNfce != 100 && !lstStatusNFeDenegada.Contains(statusNfce))
            {
                erros = "Status:" + nfeAutorizacao.RetornoSefaz.protNFe.infProt.cStat.ToString() + " - " +
                            nfeAutorizacao.RetornoSefaz.protNFe.infProt.xMotivo;
                status = nfeAutorizacao.RetornoSefaz.protNFe.infProt.cStat;
                xMotivo = nfeAutorizacao.RetornoSefaz.protNFe.infProt.xMotivo;
                return false;
            }

            status = nfeAutorizacao.RetornoSefaz.protNFe.infProt.cStat;
            xMotivo = nfeAutorizacao.RetornoSefaz.protNFe.infProt.xMotivo;
            erros = string.Empty;
            return true;
        }

    }
}
