using System.Collections.Generic;
using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes
{
	/// <summary>
	/// Tag da Declaração de Importação
	/// </summary>
	public class DI
	{
		/// <summary>
		/// Número do Documento de Importação DI/DSI/DA (DI/DSI/DA)
		/// </summary>
		public string nDI { get; set; }

		/// <summary>
		/// Data de Registro da DI/DSI/DA
		/// Formato “AAAA-MM-DD”
		/// </summary>
		public string dDI { get; set; }

		/// <summary>
		/// Local de desembaraço
		/// </summary>
		public string xLocDesemb { get; set; }

		/// <summary>
		/// Sigla da UF onde ocorreu o Desembaraço Aduaneiro
		/// </summary>
		public string UFDesemb { get; set; }

		/// <summary>
		/// Data do Desembaraço Aduaneiro
		/// </summary>
		public string dDesemb { get; set; }

		/// <summary>
		/// Código do exportador, usado nos sistemas internos de informação do emitente da NF-e
		/// </summary>
		public string cExportador { get; set; }

		/// <summary>
		/// Adições
		/// </summary>
		[XmlElement("")]
		public List<adi> adi { get; set; }
	}
}
