using NFeLib.NFE.Utils;

namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes.Tributacao
{
	/// <summary>
	/// CST = 03
	/// </summary>
	public class COFINSQtde
	{
        private decimal _qBcProd;
        private decimal _vAliqProd;
        private decimal _vCofins;

        /// <summary>
        ///     S06 - Código de Situação Tributária da COFINS
        /// </summary>
        public string CST { get; set; }

        /// <summary>
        ///     S09 - Quantidade Vendida
        /// </summary>
        public decimal qBCProd
        {
            get { return _qBcProd; }
            set { _qBcProd = FunctionNFe.RoundDecimal(value, 4); }
        }

        /// <summary>
        ///     S10 - Alíquota da COFINS (em reais)
        /// </summary>
        public decimal vAliqProd
        {
            get { return _vAliqProd; }
            set { _vAliqProd = FunctionNFe.RoundDecimal(value, 4); }
        }

        /// <summary>
        ///     S11 - Valor da COFINS
        /// </summary>
        public decimal vCOFINS
        {
            get { return _vCofins; }
            set { _vCofins = FunctionNFe.RoundDecimal(value, 2); }
        }
	}
}
