using NFeLib.NFE.Utils;

namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes.Tributacao
{
	public class ICMS00
	{
        private decimal _vBc;
        private decimal _pIcms;
        private decimal _vIcms;
        private decimal? _pFcp;
        private decimal? _vFcp;

        /// <summary>
        ///     N11 - Origem da Mercadoria
        /// </summary>
        public string orig { get; set; }

        /// <summary>
        ///     N12- Situação Tributária
        /// </summary>
        public string CST { get; set; }

        /// <summary>
        ///     N13 - Modalidade de determinação da BC do ICMS
        /// </summary>
        public string modBC { get; set; }

        /// <summary>
        ///     N15 - Valor da BC do ICMS
        /// </summary>
        public decimal vBC
        {
            get { return FunctionNFe.RoundDecimal(_vBc, 2); }
            set { _vBc = FunctionNFe.RoundDecimal(value, 2); }
        }

        /// <summary>
        ///     N16 - Alíquota do imposto
        /// </summary>
        public decimal pICMS
        {
            get { return FunctionNFe.RoundDecimal(_pIcms, 4); }
            set { _pIcms = FunctionNFe.RoundDecimal(value, 4); }
        }

        /// <summary>
        ///     N17 - Valor do ICMS
        /// </summary>
        public decimal vICMS
        {
            get { return FunctionNFe.RoundDecimal(_vIcms, 2); }
            set { _vIcms = FunctionNFe.RoundDecimal(value, 2); }
        }

        /// <summary>
        /// N17b - Percentual do Fundo de Combate à Pobreza (FCP)
        /// Versão 4.00
        /// </summary>
        public decimal? pFCP
        {
            get { return FunctionNFe.RoundDecimal(_pFcp, 4); }
            set { _pFcp = FunctionNFe.RoundDecimal(value, 4); }
        }

        public bool pFCPSpecified
        {
            get { return pFCP.HasValue; }
        }

        /// <summary>
        /// N17c - Valor do Fundo de Combate à Pobreza (FCP)
        /// Versão 4.00
        /// </summary>
        public decimal? vFCP
        {
            get { return FunctionNFe.RoundDecimal(_vFcp, 2); }
            set { _vFcp = FunctionNFe.RoundDecimal(value, 2); }
        }

        public bool ShouldSerializevFCP
        {
            get { return vFCP.HasValue; }
        }
	}
}
