using NFeLib.NFE.Utils;

namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes.Tributacao
{
	public class ICMS60
	{
        private decimal? _vBcstRet;
        private decimal? _vIcmsstRet;
        private decimal? _pST;
        private decimal? _vBcfcpstRet;
        private decimal? _pFcpstRet;
        private decimal? _vFcpstRet;

        /// <summary>
        ///     N11 - Origem da Mercadoria
        /// </summary>
        public string orig { get; set; }

        /// <summary>
        ///     N12- Situação Tributária
        /// </summary>
        public string CST { get; set; }

        /// <summary>
        ///     N26 - Valor da BC do ICMS ST retido
        /// </summary>
        public decimal? vBCSTRet
        {
            get { return _vBcstRet; }
            set { _vBcstRet = FunctionNFe.RoundDecimal(value, 2); }
        }

        public decimal? pST
        {
            get { return _pST; }
            set { _pST = FunctionNFe.RoundDecimal(value, 2); }
        }

        /// <summary>
        ///     N27 - Valor do ICMS ST retido
        /// </summary>
        public decimal? vICMSSTRet
        {
            get { return _vIcmsstRet; }
            set { _vIcmsstRet = FunctionNFe.RoundDecimal(value, 2); }
        }


        public decimal? vBCFCPSTRet
        {
            get { return FunctionNFe.RoundDecimal(_vBcfcpstRet,2); }
            set { _vBcfcpstRet = FunctionNFe.RoundDecimal(value,2); }
        }

        public bool vBCFCPSTRetSpecified
        {
            get { { return vBCFCPSTRet.HasValue; } }
        }

        public decimal? pFCPSTRet
        {
            get { return FunctionNFe.RoundDecimal(_pFcpstRet,4); }
            set { _pFcpstRet = FunctionNFe.RoundDecimal(value,4); }
        }

        public bool pFCPSTRetSpecified
        {
            get
            {
                return pFCPSTRet.HasValue;
            }
        }

        public decimal? vFCPSTRet
        {
            get { return FunctionNFe.RoundDecimal(_vFcpstRet,2); }
            set { _vFcpstRet = FunctionNFe.RoundDecimal(value,2); }
        }

        public bool vFCPSTRetSpecified
        {
            get { return vFCPSTRet.HasValue; }
        }

        public bool ShouldSerializevBCSTRet()
        {
            return vBCSTRet.HasValue;
        }

        public bool ShouldSerializevICMSSTRet()
        {
            return vICMSSTRet.HasValue;
        }

        public bool ShouldSerializepST()
        {
            return pST.HasValue;
        }
    }
}
