using NFeLib.NFE.Utils;

namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes.Tributacao
{
	public class ICMSSN500
	{
        private decimal? _vBcstRet;
        private decimal? _vIcmsstRet;
        private decimal? _pSt;
        private decimal? _vBcfcpstRet;
        private decimal? _pFcpstRet;
        private decimal? _vFcpstRet;

        /// <summary>
        ///     N11 - Origem da Mercadoria
        /// </summary>
        public string orig { get; set; }

        /// <summary>
        ///     N12a - Código de Situação da Operação – Simples Nacional
        /// </summary>
        public string CSOSN { get; set; }

        /// <summary>
        ///     N26 - Valor da BC do ICMS ST retido
        /// </summary>
        public decimal? vBCSTRet
        {
            get { return FunctionNFe.RoundDecimal(_vBcstRet,2); }
            set { _vBcstRet = FunctionNFe.RoundDecimal(value,2); }
        }

        public decimal? pST
        {
            get { return FunctionNFe.RoundDecimal(_pSt,4); }
            set { _pSt = FunctionNFe.RoundDecimal(value,4); }
        }

        public bool pSTSpecified
        {
            get { return _pSt.HasValue; }
        }

        /// <summary>
        ///     N27 - Valor do ICMS ST retido
        /// </summary>
        public decimal? vICMSSTRet
        {
            get { return FunctionNFe.RoundDecimal(_vIcmsstRet,2); }
            set { _vIcmsstRet = FunctionNFe.RoundDecimal(value,2); }
        }

        /// <summary>
        /// N27a - Valor da Base de Cálculo do FCP 
        /// Versão 4.00
        /// </summary>
        public decimal? vBCFCPSTRet
        {
            get { return FunctionNFe.RoundDecimal(_vBcfcpstRet,2); }
            set { _vBcfcpstRet = FunctionNFe.RoundDecimal(value,2); }
        }

        public bool vBCFCPSTRetSpecified
        {
            get { return vBCFCPSTRet.HasValue; }
        }

        /// <summary>
        /// N27b - Percentual do FCP retido anteriormente por Substituição Tributária
        /// </summary>
        public decimal? pFCPSTRet
        {
            get { return FunctionNFe.RoundDecimal(_pFcpstRet,4); }
            set { _pFcpstRet = FunctionNFe.RoundDecimal(value,4); }
        }

        public bool pFCPSTRetSpecified
        {
            get { return pFCPSTRet.HasValue; }
        }

        /// <summary>
        /// N27d - Valor do FCP retido anteriormente por Substituição Tributária
        /// </summary>
        public decimal? vFCPSTRet
        {
            get { return FunctionNFe.RoundDecimal(_vFcpstRet,2); }
            set { _vFcpstRet = FunctionNFe.RoundDecimal(value,2); }
        }

        public bool vFCPSTRetSpecified
        {
            get { return vFCPSTRet.HasValue; }
        }

        public bool ShouldSerializepST()
        {
            return pST.HasValue;
        }

        public bool ShouldSerializevBCSTRet()
        {
            return vBCSTRet.HasValue;
        }

        public bool ShouldSerializevICMSSTRet()
        {
            return vICMSSTRet.HasValue;
        }
	}
}
