using NFeLib.NFE.Utils;

namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes.Tributacao
{
	/// <summary>
	/// Informar apenas um dos grupos O07 ou O08 com base valor atribuído ao campo O09 – CST do
	/// IPI
	/// </summary>
	public class IPITrib
	{
        private decimal? _vBc;
        private decimal? _pIpi;
        private decimal? _qUnid;
        private decimal? _vUnid;
        private decimal? _vIpi;

        /// <summary>
        ///     O09 - Código da Situação Tributária do IPI:
        /// </summary>
        public string CST { get; set; }

        /// <summary>
        ///     O10 - Valor da BC do IPI
        /// </summary>
        public decimal? vBC
        {
            get { return FunctionNFe.RoundDecimal(_vBc, 2); }
            set { _vBc = FunctionNFe.RoundDecimal(value, 2); }
        }

        /// <summary>
        ///     O13 - Alíquota do IPI
        /// </summary>
        public decimal? pIPI
        {
            get { return FunctionNFe.RoundDecimal(_pIpi, 4); }
            set { _pIpi = FunctionNFe.RoundDecimal(value, 4); }
        }

        /// <summary>
        ///     O11 - Quantidade total na unidade padrão para tributação (somente para os produtos tributados por unidade)
        /// </summary>
        public decimal? qUnid
        {
            get { return FunctionNFe.RoundDecimal(_qUnid, 4); }
            set { _qUnid = FunctionNFe.RoundDecimal(value, 4); }
        }

        /// <summary>
        ///     O12 - Valor por Unidade Tributável
        /// </summary>
        public decimal? vUnid
        {
            get { return FunctionNFe.RoundDecimal(_vUnid, 4); }
            set { _vUnid = FunctionNFe.RoundDecimal(value, 4); }
        }

        /// <summary>
        ///     O14 - Valor do IPI
        /// </summary>
        public decimal? vIPI
        {
            get { return FunctionNFe.RoundDecimal(_vIpi, 2); }
            set { _vIpi = FunctionNFe.RoundDecimal(value, 2); }
        }

        public bool ShouldSerializevBC()
        {
            return vBC.HasValue;
        }

        public bool ShouldSerializepIPI()
        {
            return pIPI.HasValue;
        }

        public bool ShouldSerializeqUnid()
        {
            return qUnid.HasValue;
        }

        public bool ShouldSerializevUnid()
        {
            return vUnid.HasValue;
        }

        public bool ShouldSerializevIPI()
        {
            return vIPI.HasValue;
        }
	}
}
