namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes.Tributacao
{
	/// <summary>
	/// TAG do grupo do ISSQN
	/// Informar os campos para cálculo do ISSQN nas NFe conjugadas, onde há a prestação de serviços
	/// sujeitos ao ISSQN e fornecimento de peças sujeitas ao ICMS
	/// </summary>
	public class ISSQN
	{
		/// <summary>
		/// Valor da Base de Cálculo do ISSQN
		/// </summary>
        public decimal vBC { get; set; }

		/// <summary>
		/// Alíquota do ISSQN
		/// </summary>
        public decimal vAliq { get; set; }

		/// <summary>
		/// Valor do ISSQN
		/// </summary>
        public decimal vISSQN { get; set; }

		/// <summary>
		/// Informar o município de ocorrência do fato gerador do ISSQN. Utilizar
		/// a Tabela do IBGE (Anexo IV - Tabela de UF, Município e País)
		/// </summary>
		public string cMunFG { get; set; }

		/// <summary>
		/// Informar o código da lista de serviços da LC 116/03 em que se
		/// classifica o serviço.
		/// </summary>
		public string cListServ { get; set; }
	}
}
