using NFeLib.NFE.Utils;

namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes.Tributacao
{
	/// <summary>
	/// TAG do grupo de PIS Substituição Tributária
	/// </summary>
	public class PISST
	{
        private decimal? _vBc;
        private decimal? _pPis;
        private decimal? _qBcProd;
        private decimal? _vAliqProd;
        private decimal? _vPis;

        /// <summary>
        ///     R02 - Valor da Base de Cálculo do PIS
        /// </summary>
        public decimal? vBC
        {
            get { return _vBc; }
            set { _vBc = FunctionNFe.RoundDecimal(value, 2); }
        }

        /// <summary>
        ///     R03 - Alíquota do PIS (em percentual)
        /// </summary>
        public decimal? pPIS
        {
            get { return _pPis; }
            set { _pPis = FunctionNFe.RoundDecimal(value, 4); }
        }

        /// <summary>
        ///     R04 - Quantidade Vendida
        /// </summary>
        public decimal? qBCProd
        {
            get { return _qBcProd; }
            set { _qBcProd = FunctionNFe.RoundDecimal(value, 4); }
        }

        /// <summary>
        ///     R05 - Alíquota do PIS (em reais)
        /// </summary>
        public decimal? vAliqProd
        {
            get { return _vAliqProd; }
            set { _vAliqProd = FunctionNFe.RoundDecimal(value, 4); }
        }

        /// <summary>
        ///     R06 - Valor do PIS
        /// </summary>
        public decimal? vPIS
        {
            get { return _vPis; }
            set { _vPis = FunctionNFe.RoundDecimal(value, 2); }
        }

        public bool ShouldSerializevBC()
        {
            return vBC.HasValue;
        }

        public bool ShouldSerializepPIS()
        {
            return pPIS.HasValue;
        }

        public bool ShouldSerializeqBCProd()
        {
            return qBCProd.HasValue;
        }

        public bool ShouldSerializevAliqProd()
        {
            return vAliqProd.HasValue;
        }

        public bool ShouldSerializevPIS()
        {
            return vPIS.HasValue;
        }
	}
}
