using NFeLib.NFE.BaseNF.Informacoes.Detalhes.Tributacao;

namespace NFeLib.NFE.BaseNF.Informacoes.Detalhes
{
	/// <summary>
	/// TAG de grupo de informações específicas para combustíveis líquidos
	/// </summary>
	public class comb
	{
		public comb()
		{
            this.Cide = new CIDE();
		}

        public CIDE Cide { get; set; }
  

		/// <summary>
		/// Informar apenas quando se tratar de produtos regulados pela ANP -Agência Nacional do Petróleo.
		/// Utilizar a codificação de produtos do Sistema de Informações de Movimentação de produtos - SIMP
		/// (http://www.anp.gov.br/simp/index.htm)
		/// </summary>
		public string cProdANP  { get; set; }
     
		/// <summary>
		/// Informar apenas quando a UF utilizar o CODIF (Sistema de Controle do Diferimento do Imposto nas Operações com AEAC - Álcool
		/// Etílico Anidro Combustível).
		/// </summary>
		public string CODIF  { get; set; }
       
		/// <summary>
		/// Informar quando a quantidade faturada informada no campo qCom (I10) tiver sido ajustada para
		/// uma temperatura diferente da ambiente.
		/// </summary>
        public decimal qTemp  { get; set; }
		
	}
}
