namespace NFeLib.NFE.BaseNF.Informacoes.Emitente
{
	/// <summary>
	/// Grupo com as informações do emitente da NF-e
	/// </summary>
	public class emit
	{
		/// <summary>
		/// Informar o CNPJ do emitente. Em se tratando de emissão de NF-e avulsa pelo Fisco, as informações
		/// do remente serão informadas neste grupo. O CNPJ ou CPF deverão ser informados com os zeros não
		/// significativos.
		/// </summary>
		public string CNPJ { get; set; }

		/// <summary>
		/// Informar o CNPJ do emitente. Em se tratando de emissão de NF-e avulsa pelo Fisco, as informações
		/// do remente serão informadas neste grupo. O CNPJ ou CPF deverão ser informados com os zeros não
		/// significativos.
		/// </summary>
		public string CPF { get; set; }

		/// <summary>
		/// Razão social ou nome do emitente
		/// </summary>
		public string xNome { get; set; }

		/// <summary>
		/// Nome fantasia
		/// </summary>
		public string xFant { get; set; }

		/// <summary>
		/// TAG de grupo do Endereço do emitente
		/// </summary>
		public enderEmit enderEmit { get; set; }

		/// <summary>
		/// Campo de informação obrigatória nos casos de emissão própria (procEmi = 0, 2 ou 3).
		/// A IE deve ser informada apenas com algarismos para destinatários contribuintes do ICMS, sem
		/// caracteres de formatação (ponto,barra, hífen, etc.);
		/// O literal “ISENTO” deve ser informado apenas para contribuintes do ICMS que são isentos de inscrição no cadastro de
		/// contribuintes do ICMS e estejam emitindo NF-e avulsa;
		/// </summary>
		public string IE { get; set; }

		/// <summary>
		/// Informar a IE do ST da UF de destino da mercadoria, quando houver a retenção do ICMS ST para a UF de destino.
		/// </summary>
		public string IEST { get; set; }

		/// <summary>
		/// Este campo deve ser informado, quando ocorrer a emissão de NF-e conjugada, com prestação de
		/// serviços sujeitos ao ISSQN e fornecimento de peças sujeitos ao ICMS.
		/// </summary>
		public string IM { get; set; }

		/// <summary>
		/// Este campo deve ser informado quando o campo IM (C19) for informado.
		/// </summary>
		public string CNAE { get; set; }

		/// <summary>
		///Este campo será obrigatoriamente preenchidocom:
		///1 – Simples Nacional;
		///2 – Simples Nacional – excesso
		///de sublimite de receita bruta;
		///3 – Regime Normal. (v2.0).
		/// </summary>
		public string CRT { get; set; }
	}
}
