namespace NFeLib.NFE.BaseNF.Informacoes.Identificacao
{
	/// <summary>
	/// Grupo com as informações das NF referenciadas Idem a informação da TAG anterior, referenciando
	/// uma Nota Fiscal modelo 1/1A normal (a NF referenciada não é uma NF-e).
	/// </summary>
	public class refNF
	{
		/// <summary>
		/// Utilizar a Tabela do IBGE (Anexo IV - Tabela de UF, Município e País)
		/// </summary>
		public string cUF { get; set; }

		/// <summary>
		/// AAMM da emissão da NF
		/// </summary>
		public string AAMM { get; set; }

		/// <summary>
		/// Informar o CNPJ do emitente da NF
		/// </summary>
		public string CNPJ { get; set; }

		/// <summary>
		/// Informar o código do modelo do Documento fiscal: 01 – modelo 01
		/// </summary>
		public string mod { get; set; }

		/// <summary>
		/// Informar a série do documento fiscal (informar zero se inexistente).
		/// </summary>
		public string serie { get; set; }

		/// <summary>
		/// 1 – 999999999
		/// </summary>
		public string nNF { get; set; }
	}
}
