﻿namespace NFeLib.NFE.BaseNF.Informacoes.PagCobranca
{
    public class card
    {

        /// <summary>
        /// Tipo de Integração para pagamento
        /// Tipo de Integração do processo de pagamento com o sistema de automação da empresa:
        /// 1=Pagamento integrado com o sistema de automação da
        /// empresa (Ex.: equipamento TEF, Comércio Eletrônico);
        /// 2= Pagamento não integrado com o sistema de
        /// automação da empresa (Ex.: equipamento POS); 
        /// </summary>
        public string tpIntegra { get; set; }

        /// <summary>
        /// Informar o CNPJ da Credenciadora de cartão de crédito /débito 
        /// </summary>
        public string CNPJ { get; set; }
        public bool ShouldSerializeCNPJ()
        {
            return !string.IsNullOrEmpty(CNPJ);
        }

        /// <summary>
        /// Visa = 01 
        /// Mastercard = 02 
        /// American Express = 03 
        /// Sorocred = 04 
        /// Diners Club = 05 
        /// Elo = 06 
        /// Hipercard = 07 
        /// Aura = 08 
        /// Cabal = 09 
        /// Outros = 99 
        /// </summary>
        public string tBand { get; set; }

        /// <summary>
        /// Identifica o número da autorização da transação da
        /// operação com cartão de crédito e/ou débito 
        /// </summary>
        public string cAut { get; set; }

    }	
}
