﻿using System.Collections.Generic;
using System.Xml.Serialization;
using NFeLib.NFE.Utils;

namespace NFeLib.NFE.BaseNF.Informacoes.PagCobranca
{
    /// <summary>
    /// Grupo obrigatório para a NFC-e.Não informar para a NF-e. 
    /// </summary>
    public class pag
    {
        private decimal? _vPag;
        private decimal? _vTroco;

        /// <summary>
        /// YA01a - Grupo Detalhamento da Forma de Pagamento
        /// VERSÃO 4.00
        /// </summary>
        [XmlElement("detPag")]
        public List<detPag> detPag { get; set; }

        /// <summary>
        /// YA09 - Valor do troco
        /// Versão 4.00
        /// </summary>
        public decimal? vTroco
        {
            get { return FunctionNFe.RoundDecimal(_vTroco,2); }
            set { _vTroco = FunctionNFe.RoundDecimal(value,2); }
        }

        public bool vTrocoSpecified
        {
            get { return _vTroco.HasValue; }
        }
    }
}
