namespace NFeLib.NFE.BaseNF.Informacoes.Totais
{
	/// <summary>
	/// TAG de grupo de retenções de tributos
	///
	/// Exemplos de atos normativos que definem obrigatoriedade da retenção de contribuições:
	/// a) IRPJ/CSLL/PIS/COFINS - Fonte - Recebimentos de Órgãos Públicos Federais
	/// Lei nº 9.430, de 27 de dezembro de 1996, art. 64 Lei nº 10.833/2003, art. 34
	/// como normas infra-legais, temos como exemplo:
	/// Instrução Normativa SRF nº 480/2004 e Instrução Normativa nº 539, de 25/04/2005.
	/// b) Retenção do Imposto de Renda pelas Fontes Pagadoras REMUNERAÇÃO DE SERVIÇOS
	/// PROFISSIONAIS PRESTADOS POR PESSOA JURÍDICA LEI Nº 7.450/85, ART. 52
	/// c) IRPJ, CSLL, COFINS e PIS - Serviços Prestados por Pessoas Jurídicas - Retenção na Fonte
	/// Lei nº 10.833 de 29.12.2003, arts. 30, 31, 32, 35 e 36
	/// </summary>
	public class retTrib
	{
		/// <summary>
		/// Valor Retido de PIS
		/// </summary>
        public decimal vRetPIS { get; set; }

		/// <summary>
		/// Valor Retido de COFINS
		/// </summary>
        public decimal vRetCOFINS { get; set; }

		/// <summary>
		/// Valor Retido de CSLL
		/// </summary>
        public decimal vRetCSSL { get; set; }

		/// <summary>
		/// Base de Cálculo do IRRF
		/// </summary>
        public decimal vBCIRRF { get; set; }

		/// <summary>
		/// Valor Retido do IRRF
		/// </summary>
        public decimal vIRRF { get; set; }

		/// <summary>
		/// Base de Cálculo da Retenção da Previdência Social
		/// </summary>
        public decimal vBCRetPrev { get; set; }

		/// <summary>
		/// Valor da Retenção da Previdência Social
		/// </summary>
        public decimal vRetPrev { get; set; }
	}
}
