namespace NFeLib.NFE.BaseNF.Informacoes.TranspVolumes
{
	/// <summary>
	/// TAG de grupo de Retenção do ICMS do transporte
	///
	/// Informar o valor do ICMS do serviço de transporte retido.
	/// </summary>
	public class retTransp
	{
		/// <summary>
		/// Valor do Serviço
		/// </summary>
        public decimal vServ { get; set; }

		/// <summary>
		/// BC da Retenção do ICMS
		/// </summary>
        public decimal vBCRet { get; set; }

		/// <summary>
		/// Alíquota da Retenção
		/// </summary>
        public decimal pICMSRet { get; set; }

		/// <summary>
		/// Valor do ICMS Retido
		/// </summary>
        public decimal vICMSRet { get; set; }

		/// <summary>
		/// CFOP
		/// </summary>
		public string CFOP { get; set; }

		/// <summary>
		/// Código do município de ocorrência do fato gerador do ICMS do transporte
		///
		/// Informar o município de ocorrência do fato gerador do ICMS do transporte.
		/// Utilizar a Tabela do IBGE (Anexo IV - Tabela de UF, Município e País)
		/// </summary>
		public string cMunFG { get; set; }
	}
}
