using System;
using System.Collections.Generic;
using System.Xml.Serialization;
using NFeLib.NFE.Utils;

namespace NFeLib.NFE.BaseNF.Informacoes.TranspVolumes
{
	/// <summary>
	/// TAG de grupo Volumes
	/// </summary>
	public class vol
	{
        private decimal? _pesoL;
        private decimal? _pesoB;
		/// <summary>
		/// Quantidade de volumes transportados
		/// </summary>
        public Int32 qVol { get; set; }
        private bool ShouldSerializeqVol()
        {
            return !(qVol == null || qVol == 0);
        }

		/// <summary>
		/// Espécie dos volumes transportados
		/// </summary>
		public string esp { get; set; }
        private bool ShouldSerializeesp()
        {
            return !(esp == null || esp == string.Empty);
        }

		/// <summary>
		/// Marca dos volumes transportados
		/// </summary>
		public string marca { get; set; }
        private bool ShouldSerializemarca()
        {
            return !(marca == null || marca == string.Empty);
        }

		/// <summary>
		/// Numeração dos volumes transportados
		/// </summary>
        public string nVol { get; set; }
        private bool ShouldSerializenVol()
        {
            return !(nVol == null);
        }

		/// <summary>
		/// Peso Líquido (em kg)
		/// </summary>
        /// <summary>
        ///     X31 - Peso Líquido (em kg)
        /// </summary>
        public decimal? pesoL
        {
            get { return _pesoL; }
            set { _pesoL = FunctionNFe.RoundDecimal(value, 3); }
        }
        public bool ShouldSerializepesoL()
        {
            return !(pesoL == null);
        }

        /// <summary>
        ///     X32 - Peso Bruto (em kg)
        /// </summary>
        public decimal? pesoB
        {
            get { return _pesoB; }
            set { _pesoB = FunctionNFe.RoundDecimal(value, 3); }
        }
        public bool ShouldSerializepesoB()
        {
            return !(pesoB == null);
        }

		/// <summary>
		/// lacres
		/// </summary>
		[XmlElement("")]
		public List<lacres> lacres { get; set; }
	}
}
