using System.Xml.Serialization;
using NFeLib.NFE.BaseNF.AssinaturaDig;

namespace NFeLib.NFE.BaseNF.Protocolo
{
	public class infProt
	{

        /// <summary>
        ///     PR04 - Identificador da TAG a ser assinada, somente precisa ser informado se a UF assinar a resposta.
        /// </summary>
        [XmlAttribute]
        public string Id { get; set; }

        /// <summary>
        ///     PR05 - Identificao do Ambiente
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     PR06 - Verso do Aplicativo que processou a consulta.
        /// </summary>
        public string verAplic { get; set; }

        /// <summary>
        ///     PR07 - Chave de Acesso da NF-e
        /// </summary>
        public string chNFe { get; set; }

        /// <summary>
        ///     PR08 - Data e hora de recebimento
        /// </summary>
        public string dhRecbto { get; set; }

        /// <summary>
        ///     PR09 - Nmero do Protocolo da NF-e
        /// </summary>
        public string nProt { get; set; }

        /// <summary>
        ///     PR10 - Digest Value da NF-e processada Utilizado para conferir a integridade da NFe original.
        /// </summary>
        public string digVal { get; set; }

        /// <summary>
        ///     PR11 - Cdigo do status da resposta.
        /// </summary>
        public int cStat { get; set; }

        /// <summary>
        ///     PR12 - Descrio literal do status da resposta.
        /// </summary>
        public string xMotivo { get; set; }

        /// <summary>
        ///     PR13 - Assinatura XML do grupo identificado pelo atributo Id
        ///     A deciso de assinar a mensagem fica a critrio da UF interessada.
        /// </summary>
        public Signature Signature { get; set; }
	}
}
