using System.Collections.Generic;
using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.Autorizacao
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "enviNFe", DataType = "string")]
    public class enviNFe
    {
        /// <summary>
        ///     AP02 - Verso do leiaute
        /// </summary>
         [XmlAttribute(AttributeName = "versao")]
        public string versao { get; set; }

        /// <summary>
        ///     AP03 - Identificador de controle do envio do lote.
        /// </summary>
        public string idLote { get; set; }

        /// <summary>
        ///     AP03a - Indicador de Sincronizao 
        ///     Valores parametros:
        ///     0 - Assincrono 
        ///     1 - Sincrono 
        /// </summary>
        public string indSinc { get; set; }

        /// <summary>
        ///     AP04 - Conjunto de NF-e transmitidas
        /// </summary>
        [XmlElement("NFe")]
        public List<NFe> NFe { get; set; }
       
        public enviNFe()
        {
            List<NFe> nFe = new List<NFe>();
            this.NFe = nFe;
        }
    }
}
