using System.Collections.Generic;
using System.Xml.Serialization;
using NFeLib.NFE.BaseNF.Protocolo;

namespace NFeLib.NFE.BaseNF.Servicos.Autorizacao
{
	[XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "retConsReciNFe", DataType = "string")]
	public class retConsReciNFe
	{
        /// <summary>
        ///     BR02 - Verso do leiaute
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     Identificao do Ambiente: 1  Produo / 2 - Homologao
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     Verso do Aplicativo que recebeu a Consulta. A verso deve ser iniciada com a sigla da UF nos casos de WS prprio
        ///     ou a sigla SCAN, SVAN ou SVRS nos demais casos.
        /// </summary>
        public string verAplic { get; set; }

        /// <summary>
        ///     BR04a - Nmero do Recibo consultado. Ser preenchido com zeros se for impossvel de obter o valor da mensagem de
        ///     entrada (Ex. mensagem invlida).
        /// </summary>
        public string nRec { get; set; }

        /// <summary>
        ///     BR05 - Se cStatus = 215, 516, 517 ou 545 significa que a mensagem de consulta  invlida.
        ///     Se cStatus = 225, 565. 567 ou 568, significa que o lote de NF-e consultado  invlido
        /// </summary>
        public int cStat { get; set; }

        /// <summary>
        ///     BR06 - Descrio literal do status da resposta.
        /// </summary>
        public string xMotivo { get; set; }

        /// <summary>
        ///     BR06a - Cdigo da UF que atendeu a solicitao.
        /// </summary>
        public string cUF { get; set; }

        /// <summary>
        ///     BR06b - Cdigo da Mensagem (v2.0) Campo de uso da SEFAZ para enviar mensagem de interesse da SEFAZ para o emissor.
        ///     (NT 2011/004)
        /// </summary>
        public int? cMsg { get; set; }

        /// <summary>
        ///     BR06c - Mensagem da SEFAZ para o emissor. (v2.0)
        /// </summary>
        public string xMsg { get; set; }

        /// <summary>
        ///     BR07 - Conjunto de resultado do processamento de cada NF-e (vide leiaute abaixo).
        ///     Estas informaes so retornadas apenas para o cdigo do status do lote = 104 (Lote processado)
        /// </summary>
        [XmlElement("protNFe")]
        public List<protNFe> protNFe { get; set; }
	}
}
