using System;
using System.Xml.Serialization;
using NFeLib.NFE.BaseNF.Protocolo;
using NFeLib.NFE.BaseNF.Servicos.RecepcaoEvento;

namespace NFeLib.NFE.BaseNF.Servicos.Autorizacao
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "retEnviNFe", DataType = "string")]
    public class retEnviNFe
    {

        /// <summary>
        ///     AR02 - Verso do leiaute
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     AR03 - Identificao do Ambiente: 1  Produo / 2 - Homologao
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     AR04 - Verso do Aplicativo que recebeu o Lote. A verso deve ser iniciada com a sigla da UF nos casos de WS
        ///     prprio ou a sigla SCAN, SVAN ou SVRS nos demais casos.
        /// </summary>
        public string verAplic { get; set; }

        /// <summary>
        ///     AR05 - Cdigo do status da resposta (vide item 5.1.1)
        /// </summary>
        public int cStat { get; set; }

        /// <summary>
        ///     AR06 - Descrio literal do status da resposta
        /// </summary>
        public string xMotivo { get; set; }

        /// <summary>
        ///     AR06a - Cdigo da UF que atendeu a solicitao.
        /// </summary>
        public string cUF { get; set; }

        /// <summary>
        ///     AR06b - Data e Hora do Recebimento Formato = AAAA-MM-DDTHH:MM:SS Preenchido com data e hora do recebimento do lote.
        /// </summary>
        public DateTime dhRecbto { get; set; }

        /// <summary>
        ///     AR07 - Dados do Recibo do Lote (S  gerado se o Lote for aceito)
        /// </summary>
        public infRec infRec { get; set; }

        /// <summary>
        ///     XR05 - Dados do Protocolo de Autorizao de Uso (item 4.2.2)
        /// </summary>
        public protNFe protNFe { get; set; }
        
        public retEnviNFe()
        {
            infRec infRec = new infRec();
            this.infRec = infRec;
            this.protNFe = new protNFe();
        }
    }
}
