using System.Collections.Generic;
using System.Xml.Serialization;
using NFeLib.NFE.BaseNF.Protocolo;

namespace NFeLib.NFE.BaseNF.Servicos.ConsSitNFe
{
	[XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "retConsSitNFe", DataType = "string")]
	public class retConsSitNFe
	{
        /// <summary>
        ///     ER02 - Verso do leiaute
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     ER03 - Identificao do Ambiente: 1  Produo / 2  Homologao
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     Verso do Aplicativo que processou a consulta. A verso deve ser iniciada com a sigla da UF nos casos de WS prprio
        ///     ou a sigla SCAN, SVAN ou SVRS nos demais casos
        /// </summary>
        public string verAplic { get; set; }

        /// <summary>
        ///     ER05 - Cdigo do status da resposta.
        /// </summary>
        public int cStat { get; set; }

        /// <summary>
        ///     ER06 - Descrio literal do status da resposta.
        /// </summary>
        public string xMotivo { get; set; }

        /// <summary>
        ///     ER07 - Cdigo da UF que atendeu a solicitao
        /// </summary>
        public string cUF { get; set; }

        /// <summary>
        ///     EP07a - Chave de Acesso da NF-e consultada
        /// </summary>
        public string chNFe { get; set; }

        public string dhRecbto { set; get; }

        /// <summary>
        ///     ER08 - Protocolo de autorizao ou denegao de uso da NF-e (vide item 4.2.2).
        ///     Informar se localizado uma NF-e com cStat = 100 (uso autorizado) ou 110 (uso denegado).
        /// </summary>
        public protNFe protNFe { get; set; }

        /// <summary>
        ///     ER10 - Informao do evento e respectivo Protocolo de registro de Evento
        /// </summary>
        [XmlElement("procEventoNFe")]
        public List<procEventoNFe> procEventoNFe { get; set; }
	}
}
