﻿using System;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.DistribuicaoDFe
{
    //────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
    public class NFeDestinadas : resConsDest
    {
        public Int32 CodigoProduto { get; set; }
        public string Observacao { get; set; }
        public string Comprador    { get; set; }
        //────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
        public NFeDestinadas() 
        {
            Observacao = string.Empty;
        } 
        //────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
       
    }


    //────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "retConsNFeDest", DataType = "string")]
    public class retConsNFeDest
    {
        [XmlAttribute]
        public string versao { get; set; }

        public string tpAmb { get; set; }

        public string verAplic { get; set; }

        public string cStat { get; set; }

        public string xMotivo { get; set; }

        public string dhResp { get; set; }

        public string indCont { get; set; }

        public string ultNSU { get; set; }

        [XmlElement("")]
        public List<ret> ret { get; set; }

        public retConsNFeDest()
        {
            this.ret = new List<ret>();
        }
    }
    //────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
    public class ret
    {
        public resNFe resNFe { get; set; }
        public resCanc resCanc { get; set; }
        public resCCe resCCe { get; set; }
    }
    //────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "resNFe", DataType = "string")]
    public class resNFe : resConsDest
    {
    }
    //────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
    public class resCanc : resConsDest
    {
    }
    //────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
    public class resConsDest
    {
        [XmlAttribute]
        public string NSU { get; set; }

        public string chNFe { get; set; }

        public string CNPJ { get; set; }

        public string xNome { get; set; }

        public string IE { get; set; }

        public DateTime dEmi { get; set; }

        public string tpNF { get; set; }

        public decimal vNF { get; set; }

        public string digVal { get; set; }

        public DateTime dhRecbto { get; set; }

        public string cSitNFe { get; set; }

        public string cSitConf { get; set; }


    }
    //────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
    public class resCCe
    {
        public string NSU { get; set; }

        public string chNFe { get; set; }

        public string dhEvento { get; set; }

        public string tpEvento { get; set; }

        public string nSeqEvento { get; set; }

        public string descEvento { get; set; }

        public string xCorrecao { get; set; }
    }
}


