﻿using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.DistribuicaoDFe
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "distDFeInt", DataType = "string")]
    public class distDFeInt
    {
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        /// 1 - Produção
        /// 2 - Homologação
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        /// Código da UF do Autor
        /// </summary>
        public string cUFAutor { get; set; }

        /// <summary>
        /// CNPJ do interessado no DF-e
        /// </summary>
        public string CNPJ { get; set; }

        /// <summary>
        /// CPF do interessado no DF-e
        /// </summary>
        /// 
        public string CPF { get; set; }
        public bool ShouldSerializeCPF()
        {
            return !(CPF == null || CPF == string.Empty);
        }

        /// <summary>
        /// Grupo para distribuir DF-e de interesse
        /// </summary>
        public distNSU distNSU { get; set; }

        /// <summary>
        /// Grupo para consultar um DF-e a partir de um NSU específico
        /// </summary>
        public consNSU consNSU { get; set; }

        /// <summary>
        /// Grupo para consultar uma NF-e pela chave de acesso
        /// </summary>
        public consChNFe consChNFe { get; set; }
    }
}
