﻿namespace NFeLib.NFE.BaseNF.Servicos.DistribuicaoDFe 
{
    public class distNSU
    {
        /// <summary>
        /// Último NSU recebido pelo ator.
        /// Caso seja informado com zero, ou com um NSU muito antigo, 
        /// a consulta retornará unicamente as informações resumidas e 
        /// documentos fiscais eletrônicos que tenham sido recepcionados 
        /// pelo Ambiente Nacional nos últimos 3 meses.
        /// </summary>
        public bool ShouldSerializeultNSU()
        {
            return !(ultNSU == null || ultNSU == string.Empty);
        }
        public string ultNSU { get; set; }

        /// <summary>
        /// Grupo para consultar um DF-e a partir de um NSU específico
        /// </summary>
        public bool ShouldSerializeconsNSU()
        {
            return !(consNSU == null || consNSU == string.Empty);
        }
        public string consNSU { get; set; }

        /// <summary>
        /// Número Sequencial Único. Geralmente esta consulta será 
        /// utilizada quando identificado pelo interessado um NSU faltante. 
        /// O Web Service retornará o documento ou informará que o NSU 
        /// não existe no Ambiente Nacional. Assim, esta consulta fechará a 
        /// lacuna do NSU identificado como faltante.
        /// </summary>
        public bool ShouldSerializeNSU()
        {
            return !(NSU == null || NSU == string.Empty);
        }
        public string NSU { get; set; }

    }
}
