﻿using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.DistribuicaoDFe 
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "retDistDFeInt", DataType = "string")]
    public class retDistDFeInt
    {
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        /// 1 - Produção
        /// 2 - Homologação
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        /// Versão do aplicativo que processou a consulta
        /// </summary>
        public string verAplic { get; set; }

        /// <summary>
        /// Código do status da resposta (vide item 5)
        /// </summary>
        public string cStat { get; set; }

        /// <summary>
        /// Descrição literal do status da resposta
        /// </summary>
        public string xMotivo { get; set; }

        /// <summary>
        /// Data e hora da mensagem de Resposta
        /// </summary>
        public string dhResp { get; set; }

        /// <summary>
        /// Último NSU pesquisado no Ambiente Nacional. Se for o caso, 
        /// o solicitante pode continuar a consulta a partir deste NSU para 
        /// obter novos resultados.
        /// </summary>
        public string ultNSU { get; set; }

        /// <summary>
        /// Maior NSU existente no Ambiente Nacional para o CNPJ/CPF informado
        /// </summary>
        public string maxNSU { get; set; }

        /// <summary>
        /// Conjunto de informações resumidas e documentos fiscais 
        /// eletrônicos de interesse da pessoa ou empresa. 
        /// </summary>
        public loteDistDFeInt loteDistDFeInt { get; set; }

        public retDistDFeInt()
        {
            loteDistDFeInt = new loteDistDFeInt();
        }
    }
}
