﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.DownloadNFe
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "retDownloadNFe", DataType = "string")]
    public class retDownloadNFe
    {
        /// <summary>
        /// JR02 - Versão do leiaute
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        /// JR03 - Identificação do Ambiente: 1=Produção /2=Homologação 
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        /// JR04 - Versão do Aplicativo que processou a consulta. 
        /// </summary>
        public string verAplic { get; set; }

        /// <summary>
        /// JR05 - Código do status da resposta (vide item 5) 
        /// </summary>
        public int cStat { get; set; }

        /// <summary>
        /// JR06 - Descrição literal do status da resposta
        /// </summary>
        public string xMotivo { get; set; }

        /// <summary>
        /// JR07 - Data e Hora da mensagem de resposta 
        /// </summary>
        public string dhResp { get; set; }

        /// <summary>
        /// JR08 - 0-10 Conjunto de informações da NF-e 
        /// </summary>
        [XmlElement("")]
        public List<retNFe> retNFe { get; set; }
    }

}









































