using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.Inutilizacao
{
    public class infInutEnv
    {
        public infInutEnv()
        {
            xServ = "INUTILIZAR";
        }

        /// <summary>
        ///     DP04 - Identificador da TAG a ser assinada formada com Cdigo da UF + Ano (2 posies) + CNPJ + modelo + srie +
        ///     nro inicial e nro final precedida do literal ID
        /// </summary>
        [XmlAttribute(DataType = "ID")]
        public string Id { get; set; }

        /// <summary>
        ///     DP05 - Identificao do Ambiente: 1  Produo / 2 - Homologao
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     DP06 - Servio solicitado: "INUTILIZAR"
        /// </summary>
        public string xServ { get; set; }

        /// <summary>
        ///     DP07 - Cdigo da UF do solicitante
        /// </summary>
        public string cUF { get; set; }

        /// <summary>
        ///     DP08 - Ano de inutilizao da numerao
        /// </summary>
        public string ano { get; set; }

        /// <summary>
        ///     DP09 - CNPJ do emitente
        /// </summary>
        public string CNPJ { get; set; }

        /// <summary>
        ///     DP10 - Modelo da NF-e (55)
        /// </summary>
        public string mod { get; set; }

        /// <summary>
        ///     DP11 - Srie da NF-e
        /// </summary>
        public string serie { get; set; }

        /// <summary>
        ///     DP12 - Nmero da NF-e inicial a ser inutilizada
        /// </summary>
        public string nNFIni { get; set; }

        /// <summary>
        ///     DP13 - Nmero da NF-e final a ser inutilizada
        /// </summary>
        public string nNFFin { get; set; }

        /// <summary>
        ///     DP14 - Informar a justificativa do pedido de inutilizao
        /// </summary>
        public string xJust { get; set; }

    }
}
