using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.RecepcaoEvento
{
	public class infEventoEnv
	{
        /// <summary>
        ///     HP07 - Grupo de informaes do registro do Evento
        /// </summary>
        [XmlAttribute]
        public string Id { get; set; }

        /// <summary>
        ///     HP08 - Cdigo do rgo de recepo do Evento.
        /// </summary>
        public string cOrgao { get; set; }

        /// <summary>
        ///     HP09 - Identificao do Ambiente: 1=Produo /2=Homologao
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     HP10 - CNPJ do autor do Evento
        /// </summary>
        public string CNPJ {get; set; }
        public bool ShouldSerializeCNPJ()
        {
            return !(CNPJ == null || CNPJ == string.Empty);
        }

        /// <summary>
        ///     HP11 - CPF do autor do Evento
        /// </summary>
        public string CPF {get; set; }
        public bool ShouldSerializeCPF()
        {
            return !(CPF == null || CPF == string.Empty);
        }
        

        /// <summary>
        ///     HP12 - Chave de Acesso da NF-e vinculada ao Evento
        /// </summary>
        public string chNFe { get; set; }

        /// <summary>
        ///     HP13 - Data e hora do evento no formato AAAA-MM-DDThh:mm:ssTZD (UTC - Universal Coordinated Time)
        /// </summary>
        public string dhEvento { get; set; }

        /// <summary>
        ///     HP14 - Cdigo do evento
        /// </summary>
        public string tpEvento { get; set; }

        /// <summary>
        ///     HP15 - Sequencial do evento para o mesmo tipo de evento.
        /// </summary>
        public string nSeqEvento { get; set; }

        /// <summary>
        ///     HP16 - Verso do detalhe do evento
        /// </summary>
        public string verEvento { get; set; }

        /// <summary>
        ///     HP17 - Informaes do Pedido de Cancelamento
        /// </summary>
        public detEvento detEvento { get; set; }

        public infEventoEnv()
        {
            this.detEvento = new detEvento();
        }
	}
}
