using System.Collections.Generic;
using System.Xml.Serialization;

namespace NFeLib.NFE.BaseNF.Servicos.RecepcaoEvento
{
    [XmlRoot(Namespace = "http://www.portalfiscal.inf.br/nfe", ElementName = "retEnvEvento", DataType = "string")]
    public class retEnvEvento
    {
        /// <summary>
        ///     HR02 - Verso do leiaute
        /// </summary>
        [XmlAttribute]
        public string versao { get; set; }

        /// <summary>
        ///     HR03 - Identificador de controle do Lote de envio do Evento, conforme informado na mensagem de entrada.
        /// </summary>
        public int idLote { get; set; }

        /// <summary>
        ///     HR04 - Identificao do Ambiente: 1=Produo /2=Homologao
        /// </summary>
        public string tpAmb { get; set; }

        /// <summary>
        ///     HR05 - Verso da aplicao que processou o evento.
        /// </summary>
        public string verAplic { get; set; }

        /// <summary>
        ///     HR06 - Cdigo da UF que registrou o Evento. Utilizar 91 para o Ambiente Nacional.
        /// </summary>
        public string cOrgao { get; set; }

        /// <summary>
        ///     HR07 - Cdigo do status da resposta
        /// </summary>
        public int cStat { get; set; }

        /// <summary>
        ///     HR08 - Descrio do status da resposta
        /// </summary>
        public string xMotivo { get; set; }

        /// <summary>
        ///     HR09 - TAG de grupo do resultado do processamento do Evento
        /// </summary>
        [XmlElement("retEvento")]
        public List<retEvento> retEvento { get; set; }

        public retEnvEvento()
        {
            retEvento = new List<RecepcaoEvento.retEvento>();
        }
    }
}
