﻿using System.Security.Cryptography.X509Certificates;
using System.Xml;
using System.Xml.Serialization;
using NFeLib.NFE.WebServices;

namespace NFeLib.NFE.Processos
{
    public abstract class BaseEnvioSefaz<T>
    {
        public int Timeout                          { get; set; }

        public string GetErros                      { get; set; }

        [XmlIgnore]
        public ConfigWsUrls ConfigServico           { get; set; }

        [XmlIgnore]
        public X509Certificate2 CertificadoDigital  { get; set; }

        public XmlElement XmlAssinaturaDigital      { get; set; }

        public T RetornoSefaz                       { get; set; }

        public XmlDocument XmlRetornoSefaz          { get; set; }
       
    }
}
