﻿using System.Windows.Forms;
using System.Xml;
using NFeLib.NFE.BaseNF.Servicos.ConsSitNFe;
using NFeLib.NFE.Utils;
using NFeLib.NFE.WebServices;

namespace NFeLib.NFE.Processos
{
    public class NFeConsultaProtocolo : BaseEnvioSefaz<retConsSitNFe>
    {
        private string _chaveNFe = string.Empty;

        public NFeConsultaProtocolo(string chaveNFe)
        {
            _chaveNFe = chaveNFe;
            RetornoSefaz = null;
            GetErros = string.Empty;
        }

        public NFeConsultaProtocolo()
        {
        }

        public  void EnviarSefaz()
        {
            consSitNFe consSituacaoNFe = new consSitNFe()
            {
                versao = this.ConfigServico.Versao,
                tpAmb = this.ConfigServico.TipoAmbiente,
                xServ = "CONSULTAR",
                chNFe = _chaveNFe
            };
            XmlDocument xmlDoc = FunctionNFe.Serializar(consSituacaoNFe);

            IWebService webServiceNFe = new WebRequestWS(ConfigServico, CertificadoDigital, "NFeConsultaProtocolo4");
            webServiceNFe.Timeout =  Timeout == 0 ? 60000 : Timeout;
            RetornoSefaz = webServiceNFe.NFeConsultaProtocolo(xmlDoc);

            if (RetornoSefaz != null && webServiceNFe.GetErros.Length == 0)
            {
                XmlRetornoSefaz = webServiceNFe.XmlRetornoSefaz;
            }
                
            GetErros = webServiceNFe.GetErros;
        }
    }
}
