﻿using System;
using System.Text;
using System.Xml;
using NFeLib.NFE.BaseNF.Servicos.Inutilizacao;
using NFeLib.NFE.WebServices;

namespace NFeLib.NFE.Processos
{

    public class NFeInutilizacao : BaseEnvioSefaz<retInutNFe>
    {
        private XmlDocument _xmlAssinado;

        public NFeInutilizacao(XmlDocument xmlAssinado)
        {
            _xmlAssinado = xmlAssinado;
            RetornoSefaz = null;
            GetErros = string.Empty;
        }

        public NFeInutilizacao()
        {
        }

        public void EnviarSefaz()
        {
            try
            {
                IWebService webServiceNFe = new WebRequestWS(ConfigServico, CertificadoDigital, "NFeInutilizacao4");
                webServiceNFe.Timeout = Timeout == 0 ? 60000 : Timeout;
                RetornoSefaz = webServiceNFe.NFeInutilizacao(_xmlAssinado);
                XmlRetornoSefaz = webServiceNFe.XmlRetornoSefaz;

                GetErros = webServiceNFe.GetErros;
            }

            catch (Exception ex)
            {
                GetErros = ex.Message;
            }

        }
    }
}
