﻿using System;
using System.Xml;
using NFeLib.NFE.BaseNF.Servicos.RecepcaoEvento;
using NFeLib.NFE.Utils;
using NFeLib.NFE.WebServices;

namespace NFeLib.NFE.Processos
{
    public class NFeRecepcaoEvento : BaseEnvioSefaz<retEnvEvento>
    {
        public XmlDocument XmlEventoProcessado  { get; set; }
        private XmlDocument _xmlDocAssinado = null;
        private bool _gerarLoteXml;

        public NFeRecepcaoEvento()
        {
            RetornoSefaz = null;
            GetErros = string.Empty;
        }

        public NFeRecepcaoEvento(XmlDocument refXmlAssinado, bool gerarLoteXml = false)
        {
            _xmlDocAssinado = refXmlAssinado;
            _gerarLoteXml = gerarLoteXml;
            RetornoSefaz = null;
            GetErros = string.Empty;
        }

        public  void EnviarSefaz()
        {
            XmlDocument xmlLoteEnvio = new XmlDocument();
            if (!_gerarLoteXml)
            {
                xmlLoteEnvio = FunctionNFe.GerarLoteEventoNFe(_xmlDocAssinado, 1, ConfigServico.Versao);
            }
            else
            {
                xmlLoteEnvio = _xmlDocAssinado;
            }

            IWebService webServiceNFe = new WebRequestWS(ConfigServico, CertificadoDigital, "NFeRecepcaoEvento4");
            webServiceNFe.Timeout = Timeout == 0 ? 60000 : Timeout;
            RetornoSefaz = webServiceNFe.RecepcaoEvento(xmlLoteEnvio);

            if (RetornoSefaz != null && webServiceNFe.GetErros.Length == 0 && RetornoSefaz?.retEvento?.Count > 0)
            {
                XmlRetornoSefaz = webServiceNFe.XmlRetornoSefaz;
                //cStat = 135  - Evento Registrado e Vinculado a NF-e
                if (RetornoSefaz?.retEvento[0]?.infEvento?.cStat == 135)
                {
                    XmlEventoProcessado = FunctionNFe.XmlEventoProcessado(ConfigServico.Versao, _xmlDocAssinado, RetornoSefaz.retEvento[0]);
                }
            }
                
            GetErros = webServiceNFe.GetErros;
        }
    }
}
