﻿using System;
using System.Xml;
using NFeLib.NFE.BaseNF.Servicos.Autorizacao;
using NFeLib.NFE.Utils;
using NFeLib.NFE.WebServices;

namespace NFeLib.NFE.Processos
{
    public class NFeRetAutorizacao : BaseEnvioSefaz<retConsReciNFe>
    {
        private string _numRecRetEnviNFe = "0";

        public NFeRetAutorizacao(string numeroRecibo)
        {
            _numRecRetEnviNFe = numeroRecibo;
            RetornoSefaz = null;
            GetErros = string.Empty;
         }

        private  void EnviarSefaz()
        {
            //Gera o Xml para buscar Recibo Lote Autorização
            consReciNFe consReciLote = new consReciNFe()
            {
                nRec = _numRecRetEnviNFe,
                tpAmb = this.ConfigServico.TipoAmbiente,
                versao = ConfigServico.Versao
            };
            XmlDocument xmlEnvRecLote = FunctionNFe.Serializar(consReciLote);

            //Envia para o Sefaz o Xml
            IWebService webServiceNFe = new WebRequestWS(ConfigServico, this.CertificadoDigital, "NFeRetAutorizacao4");
            webServiceNFe.Timeout = Timeout == 0 ? 60000 : Timeout;
            RetornoSefaz = webServiceNFe.NFeRetAutorizacao(xmlEnvRecLote);

            GetErros = webServiceNFe.GetErros;
        }
    }
}
