﻿using System;
using System.Xml;
using NFeLib.NFE.BaseNF.Servicos.Status;
using NFeLib.NFE.Utils;
using NFeLib.NFE.WebServices;

namespace NFeLib.NFE.Processos 
{
    public class NFeStatusServico : BaseEnvioSefaz<retConsStatServ> 
    {
        public NFeStatusServico()
        {
            RetornoSefaz = null;
            GetErros = string.Empty;
        }

        public void EnviarSefaz() 
        {
            consStatServ consStatusWs = new consStatServ()
            {
                versao = ConfigServico.Versao,
                tpAmb = ConfigServico.TipoAmbiente,
                cUF = ConfigServico.CodigoUf,
                xServ = "STATUS"
            };
            XmlDocument xmlDoc = FunctionNFe.Serializar(consStatusWs);

            IWebService webServiceNFe = new WebRequestWS(ConfigServico, CertificadoDigital, "NFeStatusServico4");
            webServiceNFe.Timeout = Timeout == 0 ? 60000 : Timeout;
            RetornoSefaz = webServiceNFe.NFeStatusServico(xmlDoc);
            if (RetornoSefaz != null && webServiceNFe.GetErros.Length == 0)
            {
                XmlRetornoSefaz = webServiceNFe.XmlRetornoSefaz;
            }

            GetErros = webServiceNFe.GetErros;
        }
    }
}
